http://backup.{region}.amazonaws.com/backup-vaults/{backupVaultName}/recovery-points/Returns detailed information about the recovery points stored in a backup vault.
<p>The name of a logical container where backups are stored. Backup vaults are identified by names that are unique to the account used to create them and the Amazon Web Services Region where they are created. They consist of lowercase letters, numbers, and hyphens.</p> <note> <p>Backup vault name might not be available when a supported service creates the backup.</p> </note>
The next item following a partial list of returned items. For example, if a request is made to return <code>maxResults</code> number of items, <code>NextToken</code> allows you to return more items in your list starting at the location pointed to by the next token.
The maximum number of items to be returned.
Returns only recovery points that match the specified resource Amazon Resource Name (ARN).
Returns only recovery points that match the specified resource type.
Returns only recovery points that match the specified backup plan ID.
Returns only recovery points that were created before the specified timestamp.
Returns only recovery points that were created after the specified timestamp.
This returns only recovery points that match the specified parent (composite) recovery point Amazon Resource Name (ARN).
Pagination limit
Pagination token
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://backup.{region}.amazonaws.com/backup-vaults/{backupVaultName}/recovery-points/' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://backup.{region}.amazonaws.com/backup-vaults/{backupVaultName}/recovery-points/Returns detailed information about the recovery points stored in a backup vault.
<p>The name of a logical container where backups are stored. Backup vaults are identified by names that are unique to the account used to create them and the Amazon Web Services Region where they are created. They consist of lowercase letters, numbers, and hyphens.</p> <note> <p>Backup vault name might not be available when a supported service creates the backup.</p> </note>
The next item following a partial list of returned items. For example, if a request is made to return <code>maxResults</code> number of items, <code>NextToken</code> allows you to return more items in your list starting at the location pointed to by the next token.
The maximum number of items to be returned.
Returns only recovery points that match the specified resource Amazon Resource Name (ARN).
Returns only recovery points that match the specified resource type.
Returns only recovery points that match the specified backup plan ID.
Returns only recovery points that were created before the specified timestamp.
Returns only recovery points that were created after the specified timestamp.
This returns only recovery points that match the specified parent (composite) recovery point Amazon Resource Name (ARN).
Pagination limit
Pagination token
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://backup.{region}.amazonaws.com/backup-vaults/{backupVaultName}/recovery-points/' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}